LibreOffice LibreOffice 25.8 SDK API Reference

Modules | Variables
ErrorCondition.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::sdb
| Basic interfaces for database access.

## Constant Groups
constants | com::sun::star::sdb::ErrorCondition
| defines error conditions for OpenOffice.org Base core components

## Variables
const long | ROW_SET_OPERATION_VETOED = 100
| is used by and RowSet to indicate that an operation has been vetoed by one of its approval listeners More...
const long | PARSER_CYCLIC_SUB_QUERIES = 200
| indicates that while parsing an SQL statement, cyclic sub queries have been detected. More...
const long | DB_OBJECT_NAME_WITH_SLASHES = 300
| indicates that the name of a client side database object - a query, a form, or a report - contains one or more slashes, which is forbidden. More...
const long | DB_INVALID_SQL_NAME = 301
| indicates that an identifier is not SQL conform. More...
const long | DB_QUERY_NAME_WITH_QUOTES = 302
| indicates that the name of a query contains quote characters. More...
const long | DB_OBJECT_NAME_IS_USED = 303
| indicates that an attempt was made to save a database object under a name which is already used in the database. More...
const long | DB_NOT_CONNECTED = 304
| indicates an operation was attempted which needs a connection to the database, which did not exist at that time. More...
const long | AB_ADDRESSBOOK_NOT_FOUND = 500
| used by the component implementing address book access to indicate that a requested address book could not be accessed. More...
const long | DATA_CANNOT_SELECT_UNFILTERED = 550
| used to indicate that a `SELECT` operation on a table needs a filter. More...